Package org.jfree.layouting.input.xhtml

## Class XhtmlResourceFactoryModule

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule
  - - org.jfree.layouting.input.xhtml.XhtmlResourceFactoryModule

-     public class XhtmlResourceFactoryModule
      extends org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

- - ### Field Summary

    - ### Fields inherited from interface org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule

      `FEELING_LUCKY, RECOGNIZED_CONTENTTYPE, RECOGNIZED_FILE, RECOGNIZED_FINGERPRINT, REJECTED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XhtmlResourceFactoryModule​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.resourceloader.Resource` | `create​(org.pentaho.reporting.libraries.resourceloader.ResourceManager caller, org.pentaho.reporting.libraries.resourceloader.ResourceData data, org.pentaho.reporting.libraries.resourceloader.ResourceKey context)` |
    `protected java.lang.String[]` | `getFileExtensions​()` |
    `protected int[]` | `getFingerPrint​()` |
    `int` | `getHeaderFingerprintSize​()` |
    `protected java.lang.String[]` | `getMimeTypes​()` |

    - ### Methods inherited from class org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule

      `canHandleResource, canHandleResourceByContent, canHandleResourceByMimeType, canHandleResourceByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XhtmlResourceFactoryModule

          public XhtmlResourceFactoryModule​()

  - ### Method Detail

    - #### getFingerPrint

          protected int[] getFingerPrint​()

      Specified by:
        `getFingerPrint` in class `org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule`

    - #### getMimeTypes

          protected java.lang.String[] getMimeTypes​()

      Specified by:
        `getMimeTypes` in class `org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule`

    - #### getFileExtensions

          protected java.lang.String[] getFileExtensions​()

      Specified by:
        `getFileExtensions` in class `org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule`

    - #### getHeaderFingerprintSize

          public int getHeaderFingerprintSize​()

      Overrides:
        `getHeaderFingerprintSize` in class `org.pentaho.reporting.libraries.resourceloader.factory.AbstractFactoryModule`

    - #### create

          public org.pentaho.reporting.libraries.resourceloader.Resource create​(org.pentaho.reporting.libraries.resourceloader.ResourceManager caller,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceData data,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceKey context)
                                                                         throws org.pentaho.reporting.libraries.resourceloader.ResourceCreationException,
                                                                                org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException

      Throws:
        `org.pentaho.reporting.libraries.resourceloader.ResourceCreationException`
        `org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException`